# Wormholes Overview

## Multi-Dimensional Chain-Wormholes

The WormholesChain solves the blockchain trilemma, which entails a necessary tradeoff between scalability, security, and decentralization, by building the
technology to achieve the ideal balance between these three metrics, creating a highly scalable and secure blockchain system that doesn’t sacrifice 
decentralization. To realize these results, the Wormholes Blockchain utilizes several main novel technologies: 

 - Multi-Dimensional Blockchain Architecture: The Wormholes multi-dimensional blockchain architecture allows the realization of a linear increase in 
 throughput with each additional chain and layer added to the system, allowing the Wormholes Blockchain to easily achieve high transactions per 
 second (TPS). Furthermore, each parallel blockchain must also couple the headers of other chains, creating a system where the security increases 
 exponentially as the system grows and additional parallel chains and blocks are added.
 
 - Dynamic Random Election (DRE)-based Consensus Mechanism: A set of practical Byzantine fault-tolerant protocols for completely asynchronous environments.
 Safety properties of DRE are post-quantum secure.
 
 - Multi-Level Blockchain System Structure: It consists of Transport, Blockchain, API, and Application levels, which make the Wormholes Blockchain network 
 secure and efficient.
 
## POS+DRE Consensus

The PoS + DRE protocol integrates a Proof of Stake model into the DRE consensus protocol. It generates blocks asynchronously to build a weighted DAG from 
validator blocks. The consensus on a block is computed from the gained validating power of validators on the block. Lamport timestamps, Related-to 
relations between proposal blocks, graph layering, and hierarchical graphs on the weighted DAG are used to achieve deterministic topological ordering of 
finalized proposal blocks in an asynchronous leaderless consensus.

The PoS + DRE consensus protocol consists of nodes with their varied amount of stake. Based on the PoS + DRE protocol, any participant can join the 
blockchain network. Participants can increase their impact as well as their contributions over the Wormholes Blockchain Network by staking more ERBs. 
Likewise, validating power is based on the number of ERBs staked and used for online validation of new proposal blocks to maintain the validity of blocks.

## Wormholes Ecosystem

The Wormholes Blockchain economy is backed by a two-tier token model consisting of the Wormholes fungible token ERB and non-fungible token S-NFT.

The principal cryptocurrency of the Wormholes Blockchain is the Wormholes ERB. ERB is used to pay transaction fees on the Wormholes Internal Exchange and 
other NFT marketplaces, gas fees, and persistent storage payments. It is also used as a stake to open NFT marketplaces and increase mining revenue. 
Finally, ERB plays a crucial role in voting and participating in governance throughout the community, ranging from frequent tasks such as voting on the 
theme of each issue of S-NFT to major decisions such as the disbursement of funds from the Wormholes Community fund.

Wormholes S-NFTs is the second native token of the Wormholes Blockchain. S-NFTs serve as the direct reward to the miners and NFT marketplace creators who 
secure the Wormholes Blockchain through their stakes and actions. S-NFTs also have an additional utility function, granting holders the privilege of 
increasing their S-NFT to ERB exchange rate. S-NFTs are burned or destroyed after they are exchanged for ERBs.

The theme of each issue of S-NFT is decided on by the community through voting, giving S-NFTs a collectible value separate from their pure exchange to ERB 
value and allowing community members to participate in creating the assets that make up the Wormholes Blockchain. All S-NFTs are tradable on the Wormholes 
Internal Exchange.

<img width="1087" alt="图片" src="https://user-images.githubusercontent.com/107660058/189814507-3ab369d6-24a2-4e7c-90d5-91a0027c0aab.png">
